#!/usr/bin/perl -w
my $AdminName="administrator";
my $AdminPassword=""; # type in your admin password here

=head1 LICENSE
-----------------------------------------------------------------------
This script is Copyright 2009 Alexander Prokopyev.
-----------------------------------------------------------------------
Please read the license terms at http://www.gnu.org/copyleft/gpl.html
-----------------------------------------------------------------------
http://www.aulix.com/citadel-groupware          	info@aulix.com
-----------------------------------------------------------------------
=cut

use strict;
use Net::Telnet;
use Shell;
use Switch;

my $CitadelTelnet;
sub CitadelCmd($)
{
	if (!defined($CitadelTelnet))
	{
		$CitadelTelnet=new Net::Telnet;
		$CitadelTelnet->open(Host => "localhost", Port => 504);
		$CitadelTelnet->getline;
	}
	my $CommandText=shift;
	$CitadelTelnet->print($CommandText);
	my $Result=$CitadelTelnet->getline;
	print $Result; #debug
	return $Result;
}

sub Login($$)
{
  my $UserName=shift;
  my $Password=shift;
  CitadelCmd("USER $UserName");
  return CitadelCmd("PASS $Password");
}

sub CreateUser($$)
{
  my $UserName=shift;
  my $Password=shift;
  CitadelCmd("CREU $UserName|$Password");
}

my $Action=$ARGV[0];
my $Sh = Shell->new;
switch ($Action)
{
  case "remove"
  {
    $Sh->service("webcit stop");
    $Sh->service("citadel stop");
    system("apt-get", "-y", "purge", 'citadel.*');
    system("/utils/purge_deb.sh");
    $Sh->rm("-Rf /etc/citadel /var/lib/citadel/ /var/run/citadel");
    $Sh->sync;
  }
  case "restart"
  {
     $Sh->service("webcit stop");
     $Sh->service("citadel restart");
     $Sh->service("webcit start");           
  }
  case "install"
  {
     system("apt-get", "install", "citadel-suite");
  }
  case "create_user"
  {
    Login($AdminName, $AdminPassword);
    my $UserName=$ARGV[1]; chomp($UserName);
    my $Password=$ARGV[2]; chomp($Password);
    CreateUser($UserName, $Password);
  }
  case "test"
  {
    print "Test";
  }
  else
  {
    print "Please specify a correct parameter";
  }
}
